# Подключение внешних проектов
include(ExternalProject)

set(IMITSRK_PREFIX
    ${CMAKE_BINARY_DIR}
    CACHE FILEPATH "" FORCE)
set(IMITSRK_INCLUDE_DIR
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_INCLUDEDIR}
    CACHE PATH "" FORCE)
set(IMITSRK_INCLUDE_DIRS
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_INCLUDEDIR}
    CACHE PATH "" FORCE)
set(IMITSRK_LIBRARY_DIR
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}
    CACHE PATH "" FORCE)
set(IMITSRK_LIBRARIES
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}/libimitsrk.a
    CACHE FILEPATH "" FORCE)

# cmake-format: off
list(APPEND _ext_project_args
  libimitsrk
  SOURCE_DIR       ${CMAKE_SOURCE_DIR}/thirdparty/libimitsrk
  INSTALL_DIR      ${CMAKE_BINARY_DIR}
  CMAKE_ARGS       ${CMLIB_EXT_PROJ_DEFAULT_ARGS}
                   -DIMITATOR_PREFIX=${CMAKE_BINARY_DIR}
                   -DPREPROCMATH_PREFIX=${CMAKE_BINARY_DIR}
                   -DMYXLIB_PREFIX=${CMAKE_BINARY_DIR}
                   <SOURCE_DIR>)
if(ImitSrkThirdparty_FIND_COMPONENTS STREQUAL "headers")
  list(APPEND _ext_project_args
    BUILD_COMMAND    true
    INSTALL_COMMAND  ${CMAKE_MAKE_PROGRAM} imitsrk-install-headers)
else()
  list(APPEND _ext_project_args
    BUILD_BYPRODUCTS ${IMITSRK_LIBRARIES})
endif()
ExternalProject_Add(${_ext_project_args})
unset(_ext_project_args)

set(IMITSRK_IS_EXTERNAL_PROJECT ON CACHE BOOL "" FORCE)
# cmake-format: on
